#pragma once
#include <math.h>

typedef float Scalar;

inline bool isZero(Scalar k) {
    return k < 1e-8;
}

inline bool isEqual(Scalar s1, Scalar s2) {
    return isZero((s1-s2)*(s1-s2));
}

inline Scalar toRad(Scalar deg) {
    return deg/180*M_PI;
}

inline Scalar sign(Scalar x) {
    return (x < 0) ? -1 : 1;
}
